<?php

require_once ( get_template_directory() . '/assets/wp_bootstrap_navwalker.php' );      // bootstrap menu helper class
require_once ( get_template_directory() . '/assets/class-tgm-plugin-activation.php' ); // submit a theme to wordpress.org with required or suggested plugin(s) defined 
require_once ( get_template_directory() . '/inc/customizer.php' );                     // handles the theme options in customizer and in Theme -> Theme Options
require_once ( get_template_directory() . '/inc/sidebar-options.php' );				   // handles the different sidebar template options
require_once ( get_template_directory() . '/inc/newsletter.php');

add_action( 'tgmpa_register', 'perk_register_required_plugins' );
function perk_register_required_plugins() {
	$plugins = array(			
		array (
				'name'               => 'Responsive Food And Drink Menu', // The plugin name.
				'slug'               => 'responsive-food-and-drink-menu', // The plugin slug (typically the folder name).
				'required'           => false,   // If false, the plugin is only 'recommended' instead of required.
				'force_activation'   => false,   // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
				'force_deactivation' => false,   // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
				'version'            => "2.1"
		),
		array (
				'name'               => 'Contact Page With Google Map', // The plugin name.
				'slug'               => 'contact-page-with-google-map', // The plugin slug (typically the folder name).
				'required'           => false,   // If false, the plugin is only 'recommended' instead of required.
				'force_activation'   => false,   // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
				'force_deactivation' => false,   // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
				'version'            => "1.5"
		),
		array (
				'name'               => 'Page Builder For Coffee Zen', // The plugin name.
				'slug'               => 'page-builder-for-coffee-zen', // The plugin slug (typically the folder name).
				'required'           => false,  // If false, the plugin is only 'recommended' instead of required.
				'force_activation'   => false,   // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
				'force_deactivation' => true,   // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
				'version'            => "2.2"
		),
		array (
				'name'               => 'One Click Demo Import', // The plugin name.
				'slug'               => 'one-click-demo-import', // The plugin slug (typically the folder name).
				'required'           => false,  // If false, the plugin is only 'recommended' instead of required.
				'force_activation'   => false,   // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
				'force_deactivation' => false,   // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
				'version'            => "2.4"
		)
	);
	
	$config = array(
			'id'           => 'perk',            // Unique ID for hashing notices for multiple instances of TGMPA.
			'default_path' => '',                      // Default absolute path to bundled plugins.
			'menu'         => 'tgmpa-install-plugins', // Menu slug.
			'has_notices'  => true,                    // Show admin notices or not.
			'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
			'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
			'is_automatic' => false,                    // Automatically activate plugins after installation or not.
			'message'      => '',                      // Message to output right before the plugins table.
	);
	
	tgmpa( $plugins, $config );
}

// load script
function perk_admin_enqueue($hook) {
	global $post;
	
	if ( $hook == 'post-new.php' || $hook == 'post.php' ) {
		if ( 'page' === $post->post_type ) {     
			wp_enqueue_script( 'perk_admin_sidebar_script', get_template_directory_uri() . '/assets/js/sidebar-admin.js' );
		}
	}
}
add_action( 'admin_enqueue_scripts', 'perk_admin_enqueue' );
	
function perk_setup () {
	load_theme_textdomain ( 'perk', get_template_directory() . '/languages' );
	
	$locale = get_locale();
	$locale_file = get_template_directory() . "/languages/$locale.php";
	if ( is_readable ( $locale_file ) )
		require_once ( $locale_file );
	
		
	add_theme_support ( 'post-thumbnails' );
	add_theme_support ( 'menus' );
	add_theme_support ( 'title-tag' );
	add_theme_support ( 'automatic-feed-links' );
	add_theme_support ( 'custom-logo' );
	
	// custom header
	$args = array(
	    //'default-image'      => get_template_directory_uri() . 'img/default-image.jpg',
	    //'default-text-color' => '000',
	    'width'              => 1200,
	    'height'             => 700,
	    'flex-width'         => true,
	    'flex-height'        => true,
	);
	add_theme_support( 'custom-header', $args );
	
	if ( ! isset( $content_width ) ) $content_width = 1200;
	// END: wordpress required code
}
add_action( 'after_setup_theme', 'perk_setup' );

function perk_register_sidebar() {
	register_sidebar( array('id' => 'sidebar-1') );
}
add_action('widgets_init', 'perk_register_sidebar');

// register header (bootstrap) menu
function perk_register_my_menu () {
	register_nav_menu('header-menu', __('Header Menu', 'perk'));
}
add_action ( 'init', 'perk_register_my_menu' );

function perk_walkme( &$value, &$key ) {
    $value['section_name'] = $value['section_name'];
    $value['section_id']   = $value['section_id'];
}

function perk_ocdi_after_import( $selected_import ) {
	
	// Assign menus to their locations.
	$main_menu = get_term_by( 'name', 'Menu 1', 'nav_menu' );
	
	set_theme_mod( 'nav_menu_locations', array('header-menu' => $main_menu->term_id, ) );
	
	// Assign front page and posts page (blog page).
	$front_page_id = get_page_by_title( 'Homepage', OBJECT, 'zen_page' );
	$blog_page_id  = get_page_by_title( 'Blog', OBJECT );
	
	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );
	update_option( 'page_for_posts', $blog_page_id->ID );
	
	// set up meta for menu pages
	$food_menu  = get_page_by_title( 'Food', OBJECT, 'menu_page_cpt' );
	$drink_menu  = get_page_by_title( 'Drinks', OBJECT, 'menu_page_cpt' );
	
	// FOOD
	$food_menu_items = array (
			array (
					'item_name' => 'Donut',
					'price' => '$1.5',
					'section' => '0',
					'image_url' => '',
					'item_description' => 'Made from scratch daily',
			),
			array(
					'item_name' => 'Muffin',
					'price' => '$2',
					'section' => '0',
					'image_url' => '',
					'item_description' => 'See the case for today\'s options'
        	),
			array(
		            'item_name' => 'BLT',
		            'price' => '$7.5',
		            'section' => '1',
		            'image_url' => '',
		            'item_description' => 'The classic - let us know if you don\'t want mayo'
			)
	);
	
	$food_section_names = array(
			array(
					'section_name' => 'Pastries',
					'section_id'   => '0'
			),
			array(
					'section_name' => 'Sandwiches',
					'section_id'   => '1'
			)	
	);
	
	$item_count = 0;
	$section_count = 0;
	foreach ( $food_section_names as $section ) {
		$section_count = $section_count + 1;
		if ( count ( $food_menu_items ) > 0 ) {
			foreach ($food_menu_items as $key => $field) {
				$item_count = $item_count + 1;
				$image_file = '';
				$image_file_url = '';
				

			} // end foreach item
		}
	} // end foreach section
	
	array_walk ( $food_section_names, 'perk_walkme');
	
	update_post_meta ( $food_menu->ID, 'menu_items', $food_menu_items);
	update_post_meta ( $food_menu->ID, 'menu_section_name', $food_section_names);
	
	// DRINKS
	$drink_menu_items = array (
			array (
					'item_name' => 'Espresso',
					'price' => '$2',
					'section' => '0',
					'image_url' => '',
					'item_description' => 'A double shot of freshly pulled espresso'
			),
			array (
					'item_name' => 'Cortado',
					'price' => '$3',
					'section' => '0',
					'image_url' => '',
					'item_description' => 'Espresso and a little milk'
			),
			array (
					'item_name' => 'Cappuccino',
					'price' => '$3.5',
					'section' => '0',
					'image_url' => '',
					'item_description' => 'Espresso and more milk'
			),
			array (
					'item_name' => 'Latte',
					'price' => '$4',
					'section' => '0',
					'image_url' => '',
					'item_description' => 'More milk than a cappuccino'
			),
			array (
					'item_name' => 'Vanilla Latte',
					'price' => '$4.3',
					'section' => '0',
					'image_url' => '',
					'item_description' => 'We also have caramel and hazelnut'
			),
			array (
					'item_name' => 'Mocha',
					'price' => '$5',
					'section' => '0',
					'image_url' => '',
					'item_description' => 'Chocolate + Espresso + Milk = Good'
			),
			array (
					'item_name' => 'Add a shot',
					'price' => '$1.5',
					'section' => '0',
					'image_url' => '',
					'item_description' => ''
			),
			array (
					'item_name' => 'Sub Soy, Almond, or Coconut milk',
					'price' => 'FREE',
					'section' => '0',
					'image_url' => '',
					'item_description' => ''
			),
			array (
					'item_name' => 'Pour Over',
					'price' => '$5',
					'section' => '0',
					'image_url' => '',
					'item_description' => ''
			),
			array (
					'item_name' => 'Drip',
					'price' => '$2',
					'section' => '0',
					'image_url' => '',
					'item_description' => ''
			),
			array (
					'item_name' => 'Iced Latte',
					'price' => '$4',
					'section' => '1',
					'image_url' => '',
					'item_description' => 'Add a flavor for $0.30'
			),
			array (
					'item_name' => 'Iced Mocha',
					'price' => '$5',
					'section' => '1',
					'image_url' => '',
					'item_description' => 'Our signature mocha over ice'
			),
			array (
					'item_name' => 'Iced Coffee',
					'price' => '$2',
					'section' => '1',
					'image_url' => '',
					'item_description' => ''
			),		
	);
	
	$drink_section_names = array(
			array(
					'section_name' => 'Hot Drinks',
					'section_id'   => '0'
			),
			array(
					'section_name' => 'Cold Drinks',
					'section_id'   => '1'
			)
	);
	
	$item_count = 0;
	$section_count = 0;
	foreach ( $drink_section_names as $section ) {
		$section_count = $section_count + 1;
		if ( count ( $drink_menu_items ) > 0 ) {
			foreach ($drink_menu_items as $key => $field) {
				$item_count = $item_count + 1;
				$image_file = '';
				$image_file_url = '';
				
				
			} // end foreach item
		}
	} // end foreach section
	    
	array_walk ( $drink_section_names, 'perk_walkme');
		
	update_post_meta ( $drink_menu->ID, 'menu_items', $drink_menu_items);
	update_post_meta ( $drink_menu->ID, 'menu_section_name', $drink_section_names);
}
add_action( 'pt-ocdi/after_import', 'perk_ocdi_after_import' );

function perk_ocdi_import_files() {
	return array(
			array(
					'import_file_name'             => 'Demo Import',
					'categories'                   => array( 'Bread', 'Food', 'Drinks' ),
					'local_import_file'            => trailingslashit( get_template_directory() ) . 'demo-content/perkdemo.wordpress.xml',
					//'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'ocdi/widgets.json',
					'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'demo-content/perk-export.dat',
					'import_preview_image_url'     => trailingslashit( get_template_directory() ) . 'demo-content/import_preview.png',
					'import_notice'                => 'The import could take a few minutes. Please be patient.',
					'preview_url'                  => 'https://themes.corporatezen.com/',
			),
	);
}
add_filter( 'pt-ocdi/import_files', 'perk_ocdi_import_files' );
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' ); // remove branding

// notice for menu page
function perk_menu_admin_notice(){
    global $pagenow;
    if ( $pagenow == 'nav-menus.php' ) {
        echo '<div class="notice notice-warning is-dismissible">
             <p><strong>Notice</strong>: This theme only supports a single dropdown level. Menu items added in the 3rd tier or higher will not display.</p>
         </div>';
    }
}
add_action('admin_notices', 'perk_menu_admin_notice');

// remove the pointless colors section
function perk_remove_colors_section() {
    global $wp_customize;
    $wp_customize->remove_section( 'colors' ); 
}

add_action( 'customize_register', 'perk_remove_colors_section', 11 );

// included last to overwrite other styles
require_once ( get_template_directory() . '/inc/styles.php' );
?>