<?php 

// register meta boxes
add_action( 'add_meta_boxes', 'perk_register_metabox' );
function perk_register_metabox() {
	add_meta_box('perk_sidebar-layout', 'Sidebar', 'perk_fill_sidebar_metabox', 'page', 'normal', 'default');
}

function perk_fill_sidebar_metabox() {
	global $post;
	$out = '';
	$layout = get_post_meta($post->ID, 'sidebar_layout', true);
	
	if ($layout != '1' && $layout != '2' && $layout != '3') {
		$layout = 0;
	}
	
	$out .= '<img class="sidebar_template_img ' . ($layout == '1' ? 'sidebar_template_img_active' : '' ) . '" id="sidebar_1" src="' . get_template_directory_uri() . '/assets/images/sidebar_left.png">';
	$out .= '<img class="sidebar_template_img ' . ($layout == '2' ? 'sidebar_template_img_active' : '' ) . '" id="sidebar_2" src="' . get_template_directory_uri() . '/assets/images/sidebar_none.png">';
	$out .= '<img class="sidebar_template_img ' . ($layout == '3' ? 'sidebar_template_img_active' : '' ) . '" id="sidebar_3" src="' . get_template_directory_uri() . '/assets/images/sidebar_right.png">';
	
	$out .= '<input type="hidden" name="sidebar_layout" id="sidebar_layout" class="" value="' . $layout . '"/>';
	
	wp_enqueue_style('perk-sidebar-settings-style', get_template_directory_uri() . '/assets/css/admin_style.css');
	
	echo $out;
}

// handles saving the data
function perk_save_sidebar($post_id, $post) {
	
	// Is the user allowed to edit the post or page?
	if ( !current_user_can( 'edit_post', $post->ID ))
		return $post->ID;
		
	// map api key
	$meta['sidebar_layout'] = ( isset($_POST['sidebar_layout']) ? $_POST['sidebar_layout'] : '');
	
	// sanitize
	if ($meta['sidebar_layout'] == 1 || $meta['sidebar_layout'] == 2 || $meta['sidebar_layout'] == 3) {
	    // do nothing, save value
	} else {
	    $meta['sidebar_layout'] = ''; // overwrite to empty if value is not 1, 2, or 3
	}
	
	foreach ($meta as $key => $value) {
		if ($post->post_type == 'revision')
			return;
				
		$value = implode(',', (array)$value);
			
		if (get_post_meta($post->ID, $key, FALSE)) {
			update_post_meta($post->ID, $key, $value);
		} else {
			add_post_meta($post->ID, $key, $value);
		}
				
		if (!$value)
			delete_post_meta($post->ID, $key);
	}
}
add_action('save_post', 'perk_save_sidebar', 1, 2);

?>