<!-- index.php -->
<?php
/**
 * The main template file
*
*/
if (!defined('ABSPATH')) die();

$header_text = '';
$perk_hero_text = get_theme_mod( 'perk_hero_text' );
if (!empty($perk_hero_text)) {
    $header_text = $perk_hero_text;
}

$is_sidebar = is_active_sidebar('sidebar-1');

if ( get_post_type() == 'page' && get_post_meta($post->ID, 'sidebar_layout', true) == '2') {
	$is_sidebar = false;
}

get_header(); 

if ( is_front_page() ) {
    if ( get_header_image() ) {
        echo '<div id="custom_homepage_header" style="background-position: center;background-image: url(' . esc_url(get_header_image()) . ')">';
        echo '<p>' . esc_html ( $header_text ) . '</p>';
        echo '</div>';
    }
}

$feat_url = get_the_post_thumbnail_url();
if ( '' !== get_the_post_thumbnail() && ! is_single() && !is_front_page() ) : ?>
		<div class="post-thumbnail" style="background-position: center;background-image: url(<?php echo esc_url( $feat_url ); ?>);">
			<div class="clear"></div>
		</div><!-- .post-thumbnail -->
	<?php endif; 

if ( get_post_type() == 'zen_page' ) {
	echo '<div class="wrap">';
} else if ( $is_sidebar ) {
	echo '<div class="wrap-with-sidebar">';
} else {
	echo '<div class="wrap">';
}

if ( get_post_type() == 'page' && get_post_meta($post->ID, 'sidebar_layout', true) == '1') { ?>
	<?php if ($is_sidebar && get_post_type() != 'zen_page') { ?>
		<div class="col-lg-4 col-md-4 the_sidebar_div">
			<?php get_sidebar('sidebar-1'); ?>
		</div>
	<?php } ?>
<?php }

if ( get_post_type() == 'zen_page' ) {
	echo '<div class="col-lg-12 no-padding">';
} else if ($is_sidebar) {
	echo '<div class="col-lg-8 col-md-8">';
} else {
	echo '<div class="col-lg-12">';
}
?>
	
	<?php if ( is_home() && ! is_front_page() ) { ?>
		<header class="page-header">
			<h1 class="page-title"><?php esc_html( single_post_title() ) ; ?></h1>
		</header>
		<?php } else { ?>
		<header class="page-header">
			<!--<h2 class="page-title"><?php _e( 'Posts', 'perk' ); ?></h2>-->
		</header>
		<?php } ?>
		
		<div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">
			<?php
			
			if (is_home() || is_front_page() || get_post_type() == 'zen_page') {
				
			} else {
				//wp_title();
			}
				
				if ( have_posts() ) :
	
					/* Start the Loop */
					while ( have_posts() ) : the_post();
	
						get_template_part ( 'template-parts/post/content' );
	
					endwhile;
	
					the_posts_pagination ( array (
						'prev_text' => '<span class="screen-reader-text">' . __( 'Previous page', 'perk' ) . '</span>',
						'next_text' => '<span class="screen-reader-text">' . __( 'Next page', 'perk' ) . '</span>',
						'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'perk' ) . ' </span>',
					) );
	
				else :
	
				endif;
				
			?>
			
			</main><!-- #main -->
		</div><!-- #primary -->
		<div class="clear"></div>
	</div>

	<?php 
	$slayout = get_post_meta($post->ID, 'sidebar_layout', true);
	if ( (get_post_type() == 'page' && get_post_meta($post->ID, 'sidebar_layout', true) == '3') || (get_post_type() == 'page' && empty($slayout))) { ?>
		<?php if ($is_sidebar && get_post_type() != 'zen_page') { ?>
		<div class="col-lg-4 col-md-4 the_sidebar_div">
			<?php get_sidebar('sidebar-1'); ?>
		</div>
		<?php } ?>
	<?php } ?>
	<div class="clear"></div>
	
</div><!-- .wrap -->

<?php get_footer();