<!-- search.php -->
<?php

get_header(); ?>

<div class="wrap-with-sidebar">

	<header class="page-header">
		<?php if ( have_posts() ) : ?>
			<h1 class="dynamic_heading_1 page-title"><?php printf( __( 'Search Results for: %s', 'perk' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
		<?php else : ?>
			<h1 class="dynamic_heading_1 page-title"><?php _e( 'Nothing Found', 'perk' ); ?></h1>
		<?php endif; ?>
	</header><!-- .page-header -->

	<div class="col-lg-8">
		<div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">
	
			<?php
			if ( have_posts() ) :
				/* Start the Loop */
				while ( have_posts() ) : the_post();
	
					/**
					 * Run the loop for the search to output the results.
					 * If you want to overload this in a child theme then include a file
					 * called content-search.php and that will be used instead.
					 */
					the_title('<br><a href="' . esc_url( get_the_permalink() ) . '"><h1 class="dynamic_heading_1">' , '</h1></a>');
					if ($post->post_type == 'post') {
						echo '<h5 class="post_date">' . get_the_date() . '</h5>';
						echo '<h5 class="post_author">' . get_the_author_posts_link() . '</h5>';
					}
					the_excerpt();
	
				endwhile; // End of the loop.
	
				the_posts_pagination ( array (
					'prev_text' => '<span class="screen-reader-text">' . __( 'Previous page', 'perk' ) . '</span>',
					'next_text' => '<span class="screen-reader-text">' . __( 'Next page', 'perk' ) . '</span>',
					'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'perk' ) . ' </span>',
				) );
	
			else : ?>
	
				<p><?php _e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'perk' ); ?></p>
				<?php
					get_search_form();
			endif;
			?>
	
			</main><!-- #main -->
		</div><!-- #primary -->
	</div><!-- .leftofsidebar -->

	<div class="col-lg-4 the_sidebar_div">
		<?php get_sidebar('sidebar-1'); ?>
	</div>
	
	<div class="clear"></div>
	
</div><!-- .wrap -->

<?php get_footer();
